package com.zd.laboratory.domain.vo;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.enums.WarnMessageTypeEnum;
import com.zd.common.core.enums.WarnUserAttrEnum;
import com.zd.common.core.web.domain.BaseEntity;
import com.zd.laboratory.domain.LabWarnPushMessage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预警推送消息对象 lab_warn_push_message
 * 
 * @author zhoupan
 * @date 2021-10-06
 */
@ApiModel("预警推送消息")
public class LabWarnPushMessageVO extends LabWarnPushMessage
{

    @ApiModelProperty("收信人名称")
    private String recipientName;

    @ApiModelProperty("实验室名称")
    private String subName;

    public String getRecipientName() {
        return recipientName;
    }

    public void setRecipientName(String recipientName) {
        this.recipientName = recipientName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }
}
